"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class GwasAssociation(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_7 import opencb as opencb_2_9_3

        return {
            "studies": opencb_2_9_3.GwasAssociationStudy,
        }

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_7 import opencb as opencb_2_9_3

        return {
            "org.opencb.biodata.models.variant.avro.GwasAssociationStudy": opencb_2_9_3.GwasAssociationStudy,
            "org.opencb.biodata.models.variant.avro.GwasAssociation": opencb_2_9_3.GwasAssociation,
        }

    __slots__ = [
        "region",
        "riskAllele",
        "riskAlleleFrequency",
        "snpId",
        "source",
        "studies",
    ]

    def __init__(
        self,
        region=None,
        riskAllele=None,
        riskAlleleFrequency=None,
        snpId=None,
        source=None,
        studies=None,
        validate=None,
        **kwargs
    ):
        """Initialise the opencb_2_9_3.GwasAssociation model.

        :param region:
        :type region: None | str
        :param riskAllele:
        :type riskAllele: None | str
        :param riskAlleleFrequency:
        :type riskAlleleFrequency: None | double
        :param snpId:
        :type snpId: None | str
        :param source:
        :type source: None | str
        :param studies:
        :type studies: None | list[GwasAssociationStudy]
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "2.9.3-GEL"
